Package org.eclipse.ui.activities

## Interface IActivityManager

All Known Subinterfaces:
  `IMutableActivityManager`

    public interface IActivityManager

An instance of this interface allows clients to manage activities, as defined by the extension point `org.eclipse.ui.activities`.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addActivityManagerListener​(IActivityManagerListener activityManagerListener)` Registers an instance of `IActivityManagerListener` to listen for changes to properties of this instance.
`IActivity` `getActivity​(String activityId)` Returns an instance of `IActivity` given an identifier.
`ICategory` `getCategory​(String categoryId)` Returns an instance of `ICategory` given an identifier.
`Set<String>` `getDefinedActivityIds()` Returns the set of identifiers to defined activities.
`Set<String>` `getDefinedCategoryIds()` Returns the set of identifiers to defined categories.
`Set<String>` `getEnabledActivityIds()` Returns the set of identifiers to enabled activities.
`IIdentifier` `getIdentifier​(String identifierId)` Returns an instance of `IIdentifier` given an identifier.
`void` `removeActivityManagerListener​(IActivityManagerListener activityManagerListener)` Removes an instance of `IActivityManagerListener` listening for changes to properties of this instance.

### Method Detail

#### addActivityManagerListener

    void addActivityManagerListener​(IActivityManagerListener activityManagerListener)

Registers an instance of `IActivityManagerListener` to listen for changes to properties of this instance.

Parameters:
  `activityManagerListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.

#### getActivity

    IActivity getActivity​(String activityId)

Returns an instance of `IActivity` given an identifier.

Parameters:
  `activityId` - an identifier. Must not be `null`
Returns:
  an instance of `IActivity`.

#### getCategory

    ICategory getCategory​(String categoryId)

Returns an instance of `ICategory` given an identifier.

Parameters:
  `categoryId` - an identifier. Must not be `null`
Returns:
  an instance of `ICategory`.

#### getDefinedActivityIds

    Set<String> getDefinedActivityIds()

Returns the set of identifiers to defined activities.

Notification is sent to all registered listeners if this property changes.

Returns:
  the set of identifiers to defined activities. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

#### getDefinedCategoryIds

    Set<String> getDefinedCategoryIds()

Returns the set of identifiers to defined categories.

Notification is sent to all registered listeners if this property changes.

Returns:
  the set of identifiers to defined categories. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

#### getEnabledActivityIds

    Set<String> getEnabledActivityIds()

Returns the set of identifiers to enabled activities.

Notification is sent to all registered listeners if this property changes.

Returns:
  the set of identifiers to enabled activities. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

#### getIdentifier

    IIdentifier getIdentifier​(String identifierId)

Returns an instance of `IIdentifier` given an identifier.

Parameters:
  `identifierId` - an identifier. Must not be `null`
Returns:
  an instance of `IIdentifier`.

#### removeActivityManagerListener

    void removeActivityManagerListener​(IActivityManagerListener activityManagerListener)

Removes an instance of `IActivityManagerListener` listening for changes to properties of this instance.

Parameters:
  `activityManagerListener` - the instance to remove. Must not be `null`. If an attempt is made to remove an instance which is not already registered with this instance, no operation is performed.